be.vlaanderen.mercurius.mohm.common.v7

## Class CreateApplicationNotAcceptedType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.CreateApplicationNotAcceptedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:35:59+02:00",
                 comments="JAXB RI v2.2.11")
      public class CreateApplicationNotAcceptedType
      extends Object
      implements Serializable

  Generiek type voor negatief antwoord op ontvangst van een aanvraag.

  Java class for CreateApplicationNotAcceptedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CreateApplicationNotAcceptedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationStatusType"/>
               <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ErrorListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateApplicationNotAcceptedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorListType` | `getErrorList()` Gets the value of the errorList property.
    `ApplicationStatusType` | `getStatus()` Gets the value of the status property.
    `org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
    `void` | `setErrorList(ErrorListType value)` Sets the value of the errorList property.
    `void` | `setStatus(ApplicationStatusType value)` Sets the value of the status property.
    `void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateApplicationNotAcceptedType

          public CreateApplicationNotAcceptedType()

  - ### Method Detail

    - #### getStatus

          public ApplicationStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `ApplicationStatusType`

    - #### setStatus

          public void setStatus(ApplicationStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `ApplicationStatusType`

    - #### getStatusDate

          public org.joda.time.DateTime getStatusDate()

      Gets the value of the statusDate property.
      Returns:
        possible object is `String`

    - #### setStatusDate

          public void setStatusDate(org.joda.time.DateTime value)

      Sets the value of the statusDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrorList

          public ErrorListType getErrorList()

      Gets the value of the errorList property.
      Returns:
        possible object is `ErrorListType`

    - #### setErrorList

          public void setErrorList(ErrorListType value)

      Sets the value of the errorList property.
      Parameters:
        `value` - allowed object is `ErrorListType`

Connector Packaging TRUSSMAKER 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.